Get All Videos

Retrieve metadata for a list of videos.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

videos = fulcrum.videos.search(url_params={'form_id':'{id}'})

for video in videos['videos']:
  # print(video) # entire video metadata
  print(video['access_key']) # just the video key
const { Client } = require('fulcrum-app');
const client = new Client('{token}');

client.videos.all({'form_id':'{id}'})
  .then((page) => {
    page.objects.forEach(video => {
      // console.log(video); // entire video metadata
      console.log(video.access_key); // just the video key
    });
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

videos = client.videos.all({'form_id':'{id}'})

for video in videos.objects do
  # puts video # entire video metadata
  puts video['access_key'] # just the video key
end
Query Params
string

The ID of the record with which the video is associated.

string

The ID of the form with which the video is associated. Leaving this blank will query against all of your videos.

boolean

If present, videos will be sorted by updated_at date.

boolean

Filter for videos that have been completely processed.

boolean

Filter for videos that have been completely stored.

boolean

Filter for videos that have been completely uploaded.

int32
Defaults to 1

The page number requested.

int32
Defaults to 20000

The number of items to return per page.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json